| gtk-0.11.2: Binding to the Gtk+ graphical user interface library. | Contents | Index
Graphics.UI.Gtk.Layout.VPaned |
Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Contents
Detail Class Hierarchy Types Constructors
Description
A container with two panes arranged vertically
Synopsis
data VPaned
class PanedClass o => VPanedClass o
castToVPaned :: GObjectClass obj => obj -> VPaned
gTypeVPaned :: GType
toVPaned :: VPanedClass o => o -> VPaned
vPanedNew :: IO VPaned
Detail
The VPaned widget is a container widget with two children arranged vertically. The division between the two panes is adjustable by the user by dragging a handle. See `Paned` for details.
Class Hierarchy
     |  GObject
     |   +----Object
     |         +----Widget
     |               +----Container
     |                     +----Paned
     |                           +----VPaned
Types
data VPaned
Instances
Eq VPaned |
Ord VPaned |
GObjectClass VPaned |
VPanedClass VPaned |
PanedClass VPaned |
ContainerClass VPaned |
WidgetClass VPaned |
ObjectClass VPaned |
class PanedClass o => VPanedClass o
Instances
VPanedClass VPaned |
castToVPaned :: GObjectClass obj => obj -> VPaned
gTypeVPaned :: GType
toVPaned :: VPanedClass o => o -> VPaned
Constructors
vPanedNew :: IO VPaned
Create a new `VPaned`
Produced by Haddock version 2.7.2